#ifndef TEST_STREAM_H
#define TEST_STREAM_H 1

#include <stdio.h>
#include "iostream.h"


typedef void STREAM_CALLBACK(void *context);

typedef struct stream
{
    struct iostream_private iostream;
    FILE *fp;
} STREAM;

extern STREAM *
stream_open(const char *path);

extern void stream_set_callback(STREAM *sp,
				STREAM_CALLBACK *callback,
				void *context);

extern void
stream_unref(STREAM **sp);

#endif
