#include <stdio.h>
#include "iostream.h"

void
iostream_init(struct iostream_private *stream)
{
    stream->refcount = 1;
}

void
iostream_unref(struct iostream_private *stream)
{
    if (--stream->refcount != 0)
	return;
    
    if (stream->destroy_callback != NULL)
	stream->destroy_callback(stream->destroy_context);
}
